# SillyChat

Silly Chat application & Silly Networking library.
Created with purpose of testing FreePascal compiler with automatic reference counting feature.

## Build
Requires Synapse 40. Repository contains synapse40.zip file which contains Synapse 40 library with synapse40.lpk Lazarus package. 
Lazarus will at first complain that synapse40 package is missing.
To compile Lazarus project from repository, in Lazarus click Package -> Open Package File, then in file dialog open synapse40.lpk.
synapse40.zip should be extracted first.
Alternatively get Synapse 40 from Synapse website. [Synapse](http://synapse.ararat.cz/doku.php)

## Run
### Run.Modes
* SillyChatProject.exe

Run as client. Client sends messages to server.

* SillyChatProject.exe server

Run as server. Server sends messages to every connected client.

### Run.Notes

Port numbers are hardcoded; see SillyChatU.pas. Clients always connect over TCP to port 30085; server always listens on port 30085 (same).


## Commands
While application is running, type commands:

* **check**: check for new messages

* **send something**: send message 'something'

* **exit**: exit

## Sources
* SillyChatU.pas: application
* SillyNetworkingU.pas: library